Skip to main content
PATCH
/
orgs
/
{org_id}
/
files
/
{file_id}
Update file
import requests

url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}"

payload = {
    "name": "<string>",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "object": "file",
  "encrypted": true,
  "name": "<string>",
  "name_enc": {},
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "record_type": "<string>",
  "record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "share_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required
file_id
string<uuid>
required

Body

application/json
name
string | null
parent_id
string<uuid> | null
visibility
enum<string> | null
Available options:
org,
restricted,
null

Response

200 - application/json

Updated file.

id
string<uuid>
object
enum<string>
Available options:
file
encrypted
boolean
type
enum<string>
Available options:
file,
folder
name
string
name_enc
object
parent_id
string<uuid> | null
visibility
enum<string>
Available options:
org,
restricted
record_type
string | null
record_id
string<uuid> | null
share_id
string | null
created_at
string
updated_at
string
Last modified on June 29, 2026